#
# spec file for package amp
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           amp
Version:        0.7.1
Release:        1.3
Summary:        A modal text editor for the terminal
License:        GPL-3.0-only
URL:            https://github.com/jmacdonald/amp
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  cmake
BuildRequires:  git-core
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(zlib)

%description
Text editor written in Rust, that aims to take the core interaction model of Vim,
simplify it, and bundle in the essential features required for a modern text editor.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
install -Dm0755 target/release/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{name}

%changelog
* Fri Jan  3 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 0.7.1:
  * Add .envrc for [nix-]direnv support
  * Render buffer content without a background
  * Prevent search/select entries from wrapping
  * Remove vi mode shell hook
  * Use non-flake based direnv shell
  * Update Preferences type to allow fetching format_tool configuration
  * Add buffer::format command and run_on_save implementation
  * Add format tool docs
  * Address clippy lints
  * Apply and enforce rustfmt
  * Enforce clippy lints
  * Allow specifying multiple values for line_length_guide in config
  * Document new multiple line length guides configuration
  * Fix tree-wide clippy lints
  * Fix various lints
  * Retain trailing newline during justification
  * Switch to normal mode following text reflow
  * update time
  * Remove lint workflow job
  * Persistent modes
  * Add build revision to splash screen
  * Rename and simplify test action
- update the spec file, so runtime dependencies can be found automatically
- require zlib make dependency
- require package-meta, as we need git for building the software
- remove some unnecessary commands (like removing empty dirs)
* Thu Feb 29 2024 Enrico Belleri <kilgore.trout@idesmi.eu>
- Update to 0.7.0:
  * Improvements to syntax highlighting, as well as:
    + replaced Oniguruma regex dependency with Rust-based fancy-regex
    + better error handling
  * Improved terminal renderer error handling
  * Cursor types now change based on mode
  * Added Wayland clipboard support
  * Updated to build using Rust 2021 edition
  * Added ability to reflow text based on line length guide
  * Improved unicode support when adding trailing newline
  * Added ability to configure syntax overrides based on file extension
  * Added ability to comment out a selection of text
  * Improved handling of very small terminal sizes
  * Updated to correctly restore terminal contents after quitting
* Mon Mar  8 2021 Enrico Belleri <idesmi@protonmail.com>
- initial package @ 1485e4b25757df22f53af8109c39b6197c61de5a-
